Subject: [Cfrg] Internet-Drafts: OCB and RC6 when block cipher != 128 bits

From: Ted Krovetz <[email-masked]>
Date: Wed, 11 Apr 2018 10:37:36 -0700

Several months ago three different parties asked if OCB could be extended to uses block ciphers with block lengths other than 128 bits. Phil Rogaway and I conferred and decided that it was fairly straightforward. I am in the process of writing an RFC for the modified version.

For purposes of creating test vectors I needed block ciphers of various block-length. Since both RC5 and RC6 patents appear to be expiring and they support many block lengths, I decided to use them as exemplars. To this end, I am also developing an RFC for RC5 and RC6 using non-standard block sizes. A link to the RC5/RC6 internet draft is:

https://datatracker.ietf.org/doc/draft-krovetz-rc6-rc5-vectors/

I am announcing this work here in case anybody is interested in using any of the results. The OCB draft should be ready in a week or two and I'll announce when it goes live too. Any comments on either draft (here or through direct email) would be appreciated.

Thank you,
Ted Krovetz